Skip to content
Back to top
View this page
Edit this page

# Streamlink

streamlink.streams(url, **params)

  Initializes an empty Streamlink session, attempts to find a plugin and extracts streams from the URL if a plugin was found.

  Parameters:

    - url (str) -- a URL to match against loaded plugins

    - params -- Additional keyword arguments passed to `Streamlink.streams()`

  Raises:

    NoPluginError -- on plugin resolve failure

  Returns:

    A `dict` of stream names and `Stream` instances